Class | ActiveMerchant::Billing::WirecardGateway
In: | lib/active_merchant/billing/gateways/wirecard.rb
Parent: | Gateway

### Methods

authorize capture new purchase test?

### Constants

TEST_URL | = | 'https://c3-test.wirecard.com/secure/ssl-gateway' |  | Test server location
LIVE_URL | = | 'https://c3.wirecard.com/secure/ssl-gateway' |  | Live server location
ENVELOPE_NAMESPACES | = | { 'xmlns:xsi' => 'http://www.w3.org/1999/XMLSchema-instance', 'xsi:noNamespaceSchemaLocation' => 'wirecard.xsd' |  | The Namespaces are not really needed, because it just tells the System, that there‘s actually no namespace used. It‘s just specified here for completeness.
PERMITTED_TRANSACTIONS | = | %w[ AUTHORIZATION CAPTURE_AUTHORIZATION PURCHASE ]
RETURN_CODES | = | %w[ ACK NOK ]

### Public Class methods

new(options = {})

### Public Instance methods

authorize(money, creditcard, options = {})

Authorization

capture(money, authorization, options = {})

Capture Authorization

purchase(money, creditcard, options = {})

Purchase

test?()

Should run against the test servers or not?

[Validate]